org.richfaces.renderkit

## Class FileUploadRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.FileUploadRendererBase

- Direct Known Subclasses:
    FileUploadRenderer

      public class FileUploadRendererBase
      extends RendererBase

  Author:
    Konstantin Mishin, Nick Belaevski, Lukas Fryc, Simone Cinti, Michal Petrov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUploadRendererBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUploadRendererBase

          public FileUploadRendererBase()

  - ### Method Detail

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)

      Description copied from class: `RendererBase`
      Template method for custom decoding of concrete renderer. All parameters checking if performed in original `RendererBase.decode(FacesContext, UIComponent)` method.
      Overrides:
        `doDecode` in class `RendererBase`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.